Name:           perl-Authen-Krb5
Version:        1.9
Release:        16%{?dist}
Summary:        Krb5 Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Krb5/
Source0:        http://www.cpan.org/authors/id/J/JH/JHORWITZ/Krb5-%{version}.tar.gz
# Do not link functions removed from krb5, bug #1323662, CPAN RT#116071
Patch0:         Krb5-1.9-nopriv.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  krb5-devel
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  sed
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Authen::Krb5 is an object oriented interface to the Kerberos 5 API. Both
the implementation and documentation are nowhere near complete, and may
require previous experience with Kerberos 5 programming. Most of the
functions here are documented in detail in the Kerberos 5 API
documentation.

%prep
%setup -q -n Krb5-%{version}
%patch0 -p1

# Rewrite the Makefile with our local paths
sed -e's|/usr/lib|%{_libdir}|' \
    -e's|/usr/include|%{_includedir}|' \
    -i  Makefile.PL

# Fix the references to /usr/local/bin/perl
sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' \
  sample_client sample_server simple_client simple_server

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT
chmod 644 sample_client sample_server simple_client simple_server

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT README sample_client sample_server simple_client simple_server TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen
%{_mandir}/man3/*

%changelog
* Fri Nov 25 2016 Petr Pisar <ppisar@redhat.com> - 1.9-16
- Do not link functions removed from krb5 (bug #1323662)

* Fri Dec 18 2015 Petr Šabata <contyk@redhat.com> - 1.9-15
- Rebuild for rhbz#1292177
- Drop the ancient, unapplied patch from the repository
- Add missing build time dependencies, now that nothing is guaranteed
- Kill the useless cat

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.9-13
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.9-12
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.9-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 1.9-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.9-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 8 2011 Simon Wilkinson <simon@sxw.org.uk> - 1.9-1
- 673472 Update to 1.9

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-10
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.7-8
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-5
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-4
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-3
- Fix library path, so that libk5crypto is used, and not libcrypto

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-2
- Use sed, rather than a patch to fix references to perl binary 
  review comment)

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-1
- Specfile autogenerated by cpanspec 1.74.
